/*
Bryce Getsinger
CPSC 1011, Section 004, 11/13/2022
Lab 10B, a lab which compresses an HD prohograph using pointers,
structures, and functions in a multi-file program.
*/

#include "defs.h"

int main (void){
	fileInfo header;

	header = getHeader();
	writeHeader(header);

	const int size = header.width * header.height;
	pixelInfo *pixelPtr = (pixelInfo *) malloc(size* sizeof(pixelInfo));

	fillImageArray(pixelPtr, header.width, header.height);
	halfSizeWritePixels(pixelPtr, header.width, header.height);
	writePixels(pixelPtr, header.width, header.height);
	return 0;
}
